services:
  homepage:
    image: ghcr.io/gethomepage/homepage:latest
    container_name: homepage
    restart: unless-stopped

    environment:
      - HOMEPAGE_ALLOWED_HOSTS=home.kaleschke.info

    volumes:
      - /mnt/user/appdata/homepage:/app/config

    networks:
      - frontend_net

    labels:
      - traefik.enable=true
      - traefik.docker.network=frontend_net
      - traefik.http.routers.homepage.rule=Host(`home.kaleschke.info`)
      - traefik.http.routers.homepage.entrypoints=websecure
      - traefik.http.routers.homepage.tls=true
      - traefik.http.routers.homepage.tls.certresolver=le
      - traefik.http.services.homepage.loadbalancer.server.port=3000

networks:
  frontend_net:
    external: true